org.gjt.sp.jedit.browser

## Interface BrowserListener

- All Superinterfaces:
    java.util.EventListener

      public interface BrowserListener
      extends java.util.EventListener

  A browser event listener.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `filesActivated(VFSBrowser browser, VFSFile[] files)` The user has double-clicked a set of files.
    `void` | `filesSelected(VFSBrowser browser, VFSFile[] files)` The user has selected a set of files.

- - ### Method Detail

    - #### filesSelected

          void filesSelected(VFSBrowser browser,
                           VFSFile[] files)

      The user has selected a set of files.
      Parameters:
        `browser` - The VFS browser
        `files` - The selected files
      Since:
        jEdit 4.3pre1

    - #### filesActivated

          void filesActivated(VFSBrowser browser,
                            VFSFile[] files)

      The user has double-clicked a set of files.
      Parameters:
        `browser` - The VFS browser
        `files` - The selected files
      Since:
        jEdit 4.3pre1